/[pcsx2_0.9.7]/auto_build_latest_upstream.sh
ViewVC logotype

Diff of /auto_build_latest_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_build_latest_upstream.sh	2010/09/09 16:33:43	92
+++ auto_build_latest_upstream.sh	2010/09/09 18:04:56	100
@@ -1,33 +1,16 @@
 #!/bin/bash
-# dummy values -- comment these out after testing
-#export SVNROOT_URL="https://svn.netsolutions.dnsalias.com/websvn/ps2/pcsx2/pcsx2_0.9.7"
-#export downstream_export_location="`pwd`"
-#export upstream_revision="3738"
-#export SVNTMP="svntmp"
-#export BRANCH_DIR="branch"
-#export BRANCH_CONFIGURATION="debug"
-#export BRANCH_LINE="0.X"
-#export BRANCH_NAME="latest"
-#export BRANCH_URL="$SVNROOT_URL/$BRANCH_DIR/$BRANCH_CONFIGURATION/$BRANCH_LINE/$BRANCH_NAME"
-#export BRANCH_LOCATION="$downstream_export_location/$BRANCH_DIR/$BRANCH_CONFIGURATION/$BRANCH_LINE"
-# end dummy
-
-export BUILD_TMP_SEED=`date +%s`
-export BUILD_TMP_DIR="/tmp"
-export PCSX2_BUILD_TMP="$BUILD_TMP_DIR/pcsx2_build_stageing_$BUILD_TMP_SEED"
-
-
-export DotNetFrameworkVersion="3.5"
-
-export MSBUILD="/cygdrive/C/Windows/Microsoft.NET/Framework/v$DotNetFrameworkVersion/MSBuild.exe"
-
-export VSC_PROJECT_ROOT="$PCSX2_BUILD_TMP"
-export VSC_PROJECT_FILE="pcsx2_suite_2008.sln"
-
-export VSC_PROJECT_PATH="$VSC_PROJECT_ROOT/$VSC_PROJECT_FILE"
-export VSC_PROJECT_PATH_WIN32=`cyg2winpath $VSC_PROJECT_PATH`
-
+. ./auto_defs.sh
 
+if [ "$1" != "" ] ; then
+        export OVERRIDE_TMP_BUILD_PATH="$1"
+        . ./auto_build_defs.sh
+fi
+
+export DISABLE_AUTO_TAG="0"
+
+if [ "$2" == "--no-auto-tag" ] ; then
+        DISABLE_AUTO_TAG="1"
+fi
 
 # output variables
 echo "---------------------------------------------------------------------------------------"
@@ -36,34 +19,26 @@
 echo -e "\\tMSBUILD PATH: $MSBUILD"
 echo -e "\\tPCSX2 VCS BUILD PATH: $PCSX2_BUILD_TMP"
 echo -e "\\tPCSX2 VCS PROJECT FILE: $VSC_PROJECT_FILE"
+echo -e "\\tPCSX2 VERSION: $VSC_BUILD_VERSION_UPSTREAM"
+echo -e "\\tPCSX2 LOCAL VERSION: $VSC_BUILD_VERSION_LOCAL"
 echo
 echo "---------------------------------------------------------------------------------------"
 
 echo
 echo "PERFORMING AUTOBUILD:"
 
+        
 
-#clean up BUILD_TMP_DIR
-cd "$BUILD_TMP_DIR"
-rm -Rf *
-
-# Make Build TMP Path
-mkdir -p "$PCSX2_BUILD_TMP"
-
-cd "$PCSX2_BUILD_TMP"
-
-echo
-echo "PERFORMING PREBUILD:"
-# export latest branch to tmp dir
-echo -ne "\\tCOPYING: "$BRANCH_LOCATION/$BRANCH_NAME" to $PCSX2_BUILD_TMP ... "
-#svn export --force "$BRANCH_LOCATION/$BRANCH_NAME" "$PCSX2_BUILD_TMP" 2>/dev/null
-cp -Rf "$BRANCH_LOCATION/$BRANCH_NAME"/* "$PCSX2_BUILD_TMP" 2>/dev/null && echo "done." || echo "failed."
-
-
-# remove all .pch files
-find -name *.pch -exec rm -f {} \;
-echo "PREBUILD COMPLETED..."
-echo
+# call auto prebuild
+if [ "$AUTO_PREBUILD_DONE" == "" ] ; then
+	"$downstream_export_location/auto_prebuild_latest_upstream.sh"
+	if [ "$AUTO_PREBUILD_DONE" != "true" ] ; then
+		echo "PREBUILD FAILED..."
+		exit 1
+	fi	
+	
+	
+fi
 
 # START VISUAL STUDIO BUILD SUPPORT
 export BUILD_SUCCESS=0
@@ -93,7 +68,11 @@
 	echo
 	echo "AUTOBUILD COMPLETE..."
 	# perform auto tagging
-	"$downstream_export_location/auto_tag_latest_upstream.sh"
+	if [ "$DISABLE_AUTO_TAG" == "0" ] ; then
+		"$downstream_export_location/auto_tag_latest_upstream.sh"
+	else
+		echo "AUTO BUILD TAGGING HAS BEEN DISABLED ... not calling auto_tag_latest_upstream.sh --> to enable do not use --no-auto-tag"
+	fi
 else
 
 	# CLEANUP

 

  ViewVC Help
Powered by ViewVC 1.1.22